Visualizzazione dei risultati da 1 a 8 su 8
  1. #1
    Utente di HTML.it
    Registrato dal
    Oct 2004
    Messaggi
    184

    Grave problema con PHP 5 e apache 2.2.2

    Salve,
    ormai sono alla disperazione più totale, non sono riuscito a fare funzionare PHP5 con IIS ed alla fine sono passato ad apache. Ho scaricato la versione 2.2.2, l'ultima, ho installato il tutto e tutto funziona perfettamente. Ho fatto in modo di caricare il modulo php5_module aggiungendolo nel file httpd.conf in questo modo

    LoadModule php5_module "c:/php5/php5apache2_2.dll"
    AddType application/x-httpd-php .php
    la libreria php5apache2_2.dll l'ho saricata dal sito php.net ed è della versione 5.2 beta
    http://bugs.php.net/bug.php?id=37370&edit=1 altrimenti non c'è mdo di farlo girare sulla 2.2.2.

    se ne parla anke su questo forum http://forum.html.it/forum/showthrea...hreadid=979790

    Fin qui tutto ok. Lancio il file phpinfo() e tutto risulta ok. Quando però provo ad aprire una connessione a mySQL il server si ferma.

    Potete aiutarmi?
    Stefano

  2. #2
    Moderatore di Server Apache L'avatar di marketto
    Registrato dal
    Sep 2001
    Messaggi
    5,946
    ciao,
    aprire due discussioni sullo stesso argomento ma in sezioni diverse è vietato dal regolamento.

    ho chiuso l'altra discussione, quindi continua qua...



    think simple think ringo

  3. #3
    Utente di HTML.it
    Registrato dal
    Oct 2004
    Messaggi
    184
    scusate non volevo creare problemi... ma cercare di risolverli :-D

  4. #4
    quale server? apache o mysql?

    Personalmente pero' lascierei perdere ancora per un (bel) po' apache2.2... anche perche' di grandi novita' che ti possano cambare la vita proprio non ce ne sono....

    metti la 2.0.58 che con php 5.1.4 ha gia' il suo bel da fare.... non e' l'ultimo modello che ti fa viaggiare, ma la voglia di muoverti.

    Il silenzio è spesso la cosa migliore. Pensa ... è gratis.

  5. #5
    Utente di HTML.it
    Registrato dal
    Oct 2004
    Messaggi
    184
    Ciao Piero.mac
    non volevo l'ultima versione per andare di più ma solo xkè era quella disponible... apache è stato un ripiego per me xkè non ero riuscito a usare PHP5 su IIS6.


    - si ferma apache quando cerco di aprire una connessione a mySQL.


    proverò cmq ad installare la 2.0.58

    ma avevo fatto una prova con la 1.3.35 ke mi dava un'altro problema.. quando aprivo una pagina php me la faceva scaricare...


    Stefano

  6. #6
    le modifiche da fare al file di configurazione di apache per il modulo php non sono identiche tra la versione 1 e la 2.

    Il silenzio è spesso la cosa migliore. Pensa ... è gratis.

  7. #7
    Utente di HTML.it
    Registrato dal
    Oct 2004
    Messaggi
    184
    certo per la versione 1.3.35 avevo fatto delle altre modifiche...

  8. #8
    Strana cmq come situazione...certe versioni vanno verificate prima di rilasciarle.Presumo che non siamo gli unici ad aver avuto questo problema oppure c'è qualche mistero da svelare^^

Permessi di invio

  • Non puoi inserire discussioni
  • Non puoi inserire repliche
  • Non puoi inserire allegati
  • Non puoi modificare i tuoi messaggi
  •  
Powered by vBulletin® Version 4.2.1
Copyright © 2020 vBulletin Solutions, Inc. All rights reserved.